Error al ejecutar Java32 en RPA developer

Hola
Recientemente tengo el siguiente problema cuando inicio una variable con JAVA32, la versión de java que utilizo es Java SE Development Kit 6u27, por necesidades exclusivas necesito utilizar esa version. Agradezco la ayuda que me puedan proporcionar.
Saludos

Hola @Laura :

El error está claro, no has activado el Access Bridge de tu máquina virtual de Java. Lo que es raro, Cartes lo activa por su cuenta casi siempre. Digo casi ya que en ocasiones no tiene permisos o existe alguna particularidad en la instalación de la máquina de Java que se lo impide.

Sospecho que tu problema es consecuencia de que no instalaste el Access Bridge porque la versión de Java que indicas es muy, muy antigua. Creo que por aquella época el Access Bridge se distribuía por separado. ¿Has mirado la versión de Access Bridge que corresponde a tu Java? Ayudaría a que localizaras uno. Tal vez alguien del foro pueda proporcionártelo. ¿Has mirado qué dice el manual del RPA Developer?

Un saludo

Hola Javier
Si de echo según la documentación indica que Access Bridge que le corresponde es el Java Access Bridge 2.0.2 lo que pasa es que en la pagina oficial de oracle no se encuentra disponible y realmente se me ha dificultado encontrarlo.
Se que en versiones recientes de java ya esto esta resuelto lo que pasa es que si instalo otra versión de java, el aplicativo que debo automatizar no funciona correctamente.
Saludos

Hola @Laura, te adjunto el Access Bridge 2.0.1. Es un instalador, si tienes algún problema tal vez puedas solucionarlo con la información del documento que te adjunto también. También tengo la versión 2.0.2, pero esta está sin instalador y es una pesadilla instalarla. Intenta mejor que te funcione la 2.0.1.
accessbridge-2_0_1.exe (5.5 MB) Instalacion Manual.doc (25 KB)

Hola @Fabireve, gracias si ya he intentado con la instalación manual y con el ejecutable pero no lo he conseguido.

Hola @Laura, se me ha ocurrido buscar en Google la versión de Access bridge que necesitas. He usado la frase “java 6 access bridge” para buscar en Google y… en el primer enlace me ha salido la página de Oracle para que descargues la versión apropiada. Tienes las compatibilidades y los manuales en la página.

https://www.oracle.com/java/technologies/javase/javase-tech-access-bridge.html

Por otra parte, he probado el Access Bridge que ha dejado @Fabireve con un Java 6 y me ha funcionado a la primera. ¿Qué error te dio?

Probaste con java 6 de 32 ?, lo que pasa es que el developer habré pero cuando quiero capturar una variable java32 me devuelve a la pantalla anterior

@xavier es decir yo tengo un windows 10, lo debo hacer es instalar el jdk 6 de 32 y luego instalar el ejecutable de Fabireve y con eso RPA me va a capturar la variables de java32 es decir lo va a reconocer.
Luego de instalar el ejecutable de Fabireve hiciste algo mas, fuiste al panel de control a activar el access bridge o en cmd algo en particular ?

¿Qué significa a la pantalla anterior? No lo entiendo.

Reiniciar la máquina

Cuando habro el developer y selecciono nueva variable le indico que la quiero en java32 el developer intenta abir la pantalla para capturar el componente pero de inmediato se regresa a la seleccion del tipo de variable que quiero, cuando instalo java 8 de 32 por ejemplo se resuelve el problema, pero necesito la version 6
ese es el detalle

¿Qué error te da en el visor de eventos de Windows?


@xavier esto es lo que obtengo

He dado por sentado que probaste a activar Access Bridge manualmente. ¿Lo has hecho? ¿Se te muestra la opción en la accesibilidad? ¿Qué error te dio?

@xavier Este es el error y en el visor la imagen anterior, cuando cierro el RPA sale el cuadro de error que publique en el primer mensaje de este error, tengo w10, jdk 6u27 y el instalador de @Fabireve reinicie y aun asi no me funciona se sigue comportando asi

No se me muestra la opcion en el panel de control y tampoco puedo ejecutar esto %JRE_HOME%\bin\jabswitch -enable ya que jabswitch no se encuentra en la carpeta

Si lo he echo manualmente con la version 2.0.2 copiando los archivos pero el resultado es el mismo

@Laura, pues si no te aparece en el panel de control es que no has instalado Access Bridge.

@xavier Instale la version 2.0.2 que recomienda oracle para jdk 6 32 bits de forma manual copiando los archivos en las rutas indicadas, reinicio la maquina y mantengo el mismo error ademas de no ver la opcion de actuvar el Access Bridge en el panel de control.
Claro que tengo el mismo error,ya que he intentado muchas opciones aun no lo consigo, por eso te consulte si con una java 6 el instalador que compartio Fabireve te funciono, ya que tambien probe con ese pero fue lo mismo.

https://docs.oracle.com/javase/accessbridge/2.0.2/setup.htm

Esto es lo que he encontrado.
Si instalaste el 2.0.1, ni siquiera entiendo por qué no tienes el fichero jabswitch.exe en la carpeta. A que te falten ficheros no le veo explicación.
Yo probé el 2.0.1 con Java 6u6, es al menos de 2008, y me funcionó.